if ( "$TERM" != "dumb" ) then

  # Everything in file ~/.fortune will be interpreted as command
  # parameters for fortune. Possible value is cs (czech texts, ISO-8859-2),
  # or cs-utf8 (czech texts, UTF-8 encoding). Value depends on $LANG.
  # To disable fortune, create ~/.fortune with single word `none'.

  setenv FORTUNEDIR /usr/share/games/fortune
  echo $LANG | grep -qi UTF-8
  if ( $status == 0 ) then
    setenv FORTUNE cs-utf8
  else
    setenv FORTUNE cs
  endif
  [ -r ~/.fortune ] && setenv FORTUNE "`cat ~/.fortune`"
  if ( "$FORTUNE" != "none"  && \
       -x /usr/games/fortune && \
       -x /usr/bin/tty ) then
    tty | grep -q not > /dev/null
    if ($status == 1) then
      echo
      /usr/games/fortune $FORTUNEDIR/$FORTUNE
      echo
    endif
  endif
  unsetenv FORTUNE FORTUNEDIR
endif
