  # Everything in file ~/.fortune will be interpreted as command
  # parameters for fortune. Possible value is cs (czech texts, ISO-8859-2),
  # or cs-utf8 (czech texts, UTF-8 encoding). Value depends on $LANG
  # To disable fortune, create ~/.fortune with single word `none'.

  #FORTUNEDIR=/usr/share/games/fortune
  if echo $LANG | grep -qi UTF-8; then
    FORTUNE=cs-utf8
  else
    FORTUNE=cs
  fi
  if [ -r ~/.fortune ]; then
    FORTUNE=`cat ~/.fortune`
  fi
  if [ "$FORTUNE" != "none" ]		&& \
     [ "$TERM" != "dumb" ]		&& \
     [ -x /usr/games/fortune ]		&& \
     [ -x /usr/bin/tty ]		&& \
     [ "$USER" != "postgres" ]	&& \
     ! /usr/bin/tty | grep -q not
  then
       echo
       /usr/games/fortune $FORTUNE
       echo
  fi
  unset FORTUNE FORTUNEDIR
